﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using Cinemachine;
[RequireComponent(typeof(CinemachineFreeLook))]

public class SetCameraControls : MonoBehaviour
{
    private CinemachineFreeLook freeLookCam;

    // Use this for initialization
    void Start()
    {
        freeLookCam = GetComponent<CinemachineFreeLook>();
    }


    // Update is called once per frame
    void Update()
    {
        if (Application.platform == RuntimePlatform.OSXEditor)
        {
            freeLookCam.m_XAxis.m_InputAxisValue = Input.GetAxis("Mouse X Mac");
            freeLookCam.m_YAxis.m_InputAxisValue = Input.GetAxis("Mouse Y Mac");
        }

        if (Application.platform == RuntimePlatform.OSXPlayer)
        {
            freeLookCam.m_XAxis.m_InputAxisValue = Input.GetAxis("Mouse X Mac");
            freeLookCam.m_YAxis.m_InputAxisValue = Input.GetAxis("Mouse Y Mac");
        }

        if (Application.platform == RuntimePlatform.WindowsEditor)
        {
            freeLookCam.m_XAxis.m_InputAxisValue = Input.GetAxis("Mouse X Windows");
            freeLookCam.m_YAxis.m_InputAxisValue = Input.GetAxis("Mouse Y Windows");
        }

        if (Application.platform == RuntimePlatform.WindowsPlayer)
        {
            freeLookCam.m_XAxis.m_InputAxisValue = Input.GetAxis("Mouse X Windows");
            freeLookCam.m_YAxis.m_InputAxisValue = Input.GetAxis("Mouse Y Windows");
        }

    }
}
